Sith Holocron

Inquiries on Mod Compatibility List for TSLRCM 1.8.5

64 posts in this topic

During my play through of a freshly modded KotOR: TSL, I made my way to Korriban to encounter "He who sleeps with vibroblades" (Sion). He's ignoring me and I cannot get out of the temple. I have the following mods in place:

 

TSLRCM 1.8.5

M4-78EP 1.2

Tomb of Azgath N'Dul v2.0

Tomb of Azgath N'Dul v2.2 Patch/Update

Duplisaber

Rece's K2 lightsaber addon TSLRCM

Curse of the Sith v1.1

Force Powers Feat Gain for TSL by Shem

Feat Progression by Shem

Extended Enclave

 

Any help would be appreciated

 

1) During the game, when did the problem begin to occur?

Upon entering the sith academy on Korriban

2) Did you install the latest version of the mod? (1.8.4 and 1.2 respectively) We only provide assistance for the most current version of those mods.

Yes

3) What version of the game do you have? (Steam, GOG, 4CD, KotOR Collection?) What region is the game designed for if it's the 4 CD version?

KotOR Collection

4) Did you update your game as required by your game's region? (4-CD version ONLY)

N/A

5) Did you install this over the previous version(s), or did you perform a fresh installation as required by the TSLRCM's read-me file?

Fresh Install

6) What other mods have you installed? Please give an accurate list and provide links to each of these mods - even if they are found on this site. (We don't actually know them all!.)

In the list above.

7) Can you be more specific about the error? At what point did it happen?

Upon entering the sith academy on Korriban

8) Have you tried re-downloading/re-installing the mod?

Yes

9) Have you tried using a different save game?

Yes

 

10) Have you tried starting a new game?

Yes

11) What Operating System do you use? (List Virtual Machines as well if you are using them.)

Windows 10

12) Can you confirm that you see the TSLRCM logo on the the main menu screen?

Yes

13) What language is your game set for?

English

14) Which language of TSLRCM are you using?

English

Share this post


Link to post
Share on other sites

Hello, I have a question to you. If I install all the modifications from your compatibility list, will all of them work together? I mean there are like 30 mods and I have bad feeling about this :(

Share this post


Link to post
Share on other sites

First of all, it's definetly possible to have over 100 mods running at once with no conflicts, but it all depends on the type of mods.

But to answer your question: The list only confirms that these mods are compatible with TSLRCM. That does NOT mean they're necessarily compatible with each other. From the quick look it took at the list I assume that most of them are but you can't know.

 

Whenever you make an installation with lots of mods you need to check them individually to see if there are any issues that could arise. And then you need to check the installation logs etc. during installation to see if there is indeed a conflict or if everything works fine. That's just something that has to be done individually for every combination of mods.

  • Like 1

Share this post


Link to post
Share on other sites

In that case those two mods will probably not work. You could try and figure out which other mod placed these files in your Override, thus making the later mods skip them. Maybe there is a way to make those compatible manually.

Share this post


Link to post
Share on other sites

Aaaaand it happend guys :P

 

 

1) During the game, when did the problem begin to occur?

When I start new game (just after character customization).

2) Did you install the latest version of the mod? (1.8.4 and 1.2 respectively) We only provide assistance for the most current version of those mods.

Yes

3) What version of the game do you have? (Steam, GOG, 4CD, KotOR Collection?) What region is the game designed for if it's the 4 CD version?

4 CD, UK version

4) Did you update your game as required by your game's region? (4-CD version ONLY)

Yes

5) Did you install this over the previous version(s), or did you perform a fresh installation as required by the TSLRCM's read-me file?

Fresh Install

6) What other mods have you installed? Please give an accurate list and provide links to each of these mods - even if they are found on this site. (We don't actually know them all!.)

 

TSLRCM

M4-78EP

Ultimate Sound Mod

Realistic Nar Shaddaa Skybox

High Resolution Coruscant TEXTURES

New Mandalorian Banner Fix

Coruscant Jedi Temple 

compatibility patch 

Better Male Bodies

Imperial Officers

Full Force Mod

Darth Nihilus Animation Fix 2.0

Movement animation fix

Realistic Visual Effects (for TSL) 

Droid Enhacement

Any Spell mod

Insane Dustil by Princess Artemis

Bao-Dur's Charged Armor by ChAiNz 2da

Movie Mandalorians (4.2) by Darth_Deadman

Sith Assassins - with Lightsabers

Mira Reskin by Fair Strides

Invisible Reticles

Remote Tells Influence

Extended Enclave 2.3

TSL Ultima Duel Room 1.2

Overhaul TSL

7) Can you be more specific about the error? At what point did it happen?

After I start new game - SW KOTOR 2 has stopped working. I always get CTD.

8) Have you tried re-downloading/re-installing the mod?

No

9) Have you tried using a different save game?

No, because I can't.

 

10) Have you tried starting a new game?

Many times.

11) What Operating System do you use? (List Virtual Machines as well if you are using them.)

Windows 10

12) Can you confirm that you see the TSLRCM logo on the the main menu screen?

Yes

13) What language is your game set for?

English

14) Which language of TSLRCM are you using?

English

Share this post


Link to post
Share on other sites

Have you played the game on the same computer without mods before?

If not, make a fresh installation (make a backup of the current one if you want to) and see if it works. If it doesn't the issue is not mod related, otherwise we can start to figure out where the issue comes from.

Share this post


Link to post
Share on other sites

Yesterday I was able to install everything correctly. Unfortunately, today I installed 'Peragus OTE'. When I load the game or start a new, the loading screen is frozen and there is the music from the main menu. I tried to reinstall the game but the problem is on. Even on vanilla version! I have no idea what happened.

Share this post


Link to post
Share on other sites

Do you know of any reason Shem's Feat Progression for TSL shouldn't work?  The featgain.2da file in my override folder looks right, but I'm not actually being awarded the number of feats on this list.

In fact, this crops up right at character creation: the way Shem set up the table, a jedi guardian, say, should be able to pick 4 feats upon character creation, but I'm only offered 1.

 

Possible causes:

1) I'm playing on Steam, using TSLRCM 1.8.5 through Steam workshop: maybe workshop doesn't play nice with non-workshop mods?

2) Been away from this game a while; last time I played was on 1.8.2 (? maybe 3?) on 4-disc version and manually patched mods, and this worked fine there.  Maybe something changed from that older version of TSLRCM to now?

 

Also having similar problems with Shem's Force Power Progression.

 

At the moment, all the mods I have installed (working or not) are:

TSLRCM 1.8.5 (via Steam Workshop)

M4-78 Enhancement Project (via Steam Workshop)*

Never Fail Influence Checks (via Steam Workshop)*

Vanir's Workbench Crystal Attunement "B" (via Steam Workshop)*

Shem's Feat Progression for TSL (manual install)

Shem's Force Power Progression (manual install)

Coruscant Jedi Temple (manual install)*

Coruscant Jedi Temple Compatibility (manual install)*

 

* - Have yet to reach the part of the game where any content from these comes into play before encountering the trouble.

Share this post


Link to post
Share on other sites

Hello all,regarding tslrcm 1.8.5,are the following mods compatible with it?Will i have to worry about anything?I already did some checking before,but i just want to be sure,that's why i am asking for other opinions.Note that i also write them in the exact order that i installed them(also using gog version of the game):

1.Widescreen fix(Uniws patcher+ui fix)    https://deadlystream.com/files/file/332-widescreen-ui-fix-for-knights-of-the-old-republic-2-the-sith-lords/

                                                                         http://www.wsgf.org/dr/star-wars-knights-old-republic-ii-sith-lords

2.TSLRCM 1.8.5 itself   https://deadlystream.com/files/file/578-tsl-restored-content-mod/

 

3.Wound in the force 2.0(head replacement)  (couldn't find the link anymore...)

4.90SK robe pack final(robes skins)    (same as the one above)

5.Default hilts replacement megapack 8.1  https://deadlystream.com/files/file/496-tsl-default-replacement-hilt-megapack/

 

6.TOR Series saber mod v2.0  https://deadlystream.com/files/file/1266-swtor-series-saber-mod-v2/

7.High level force powers v2+update 2.1(yes,i know that this one is compatible from the compatibility list)  https://deadlystream.com/files/file/832-high-level-force-powers/

8.Remove force powers restrictions for armours   https://deadlystream.com/files/file/9-remove-restrictions-for-force-powers-by-armors/

Any response would be appreciated.Thanks in advance!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now